Skip to main content
`Ctrl`+`K`

# TSMonitorError

Monitors progress of the `TS` solvers by printing the 2 norm of the error at each timestep

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorError(TS ts, PetscInt step, PetscReal ptime, Vec u, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - current solution

- vf - unused context

## Options Database Key

- -ts_monitor_error - create a graphical monitor of error history

## Notes

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `TS` integration.

The user must provide the solution using `TSSetSolutionFunction()` to use this monitor.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSSetSolutionFunction()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages